# Uses of Enum
org.apache.sling.feature.ExtensionType

Packages that use ExtensionType
Package
Description
org.apache.sling.feature

## Uses of ExtensionType in org.apache.sling.feature

Methods in org.apache.sling.feature that return ExtensionType
Modifier and Type
Method
Description
`ExtensionType`
Extension.`getType()`
Get the extension type
`static ExtensionType`
ExtensionType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ExtensionType[]`
ExtensionType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.apache.sling.feature with parameters of type ExtensionType
Modifier
Constructor
Description
``
`Extension(ExtensionType type, String name, ExtensionState state)`
Create a new extension